"use client";
import React, { useEffect, useState } from "react";
import { useTendersStore } from "./tendersStore";
import { data } from "autoprefixer";
import TenderCard from "@/entities/TenderCard";

interface Props {}
const TendersList = () => {
  const [ordering, setOrdering] = useState<number>(1);
  const { data: tenders, getTenders, isLoading, error } = useTendersStore();

  useEffect(() => {
    getTenders(ordering);
  }, []);
  console.log(tenders);
  return (
    <div className="bg-#E4F1FB">
      <div className="flex flex-col gap-2">
        {tenders?.results?.map((tender) => (
          <TenderCard
            key={tender.id}
            id={tender.id}
            id_of_card={tender.id_of_card}
            data_rk={tender.data_rk}
            name_of_organization={tender.name_of_organization}
            type_of_buy={tender.type_of_buy}
            name_of_buy={tender.name_of_buy}
            date_of_publication_datetime={tender.date_of_publication_datetime}
            date_of_offer_datetime={tender.date_of_offer_datetime}
            current_timestamp={tender.current_timestamp}
          />
        ))}
      </div>
    </div>
  );
};

export default TendersList;
